import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentCreateNestedOneWithoutFilesInputObjectSchema as AppointmentCreateNestedOneWithoutFilesInputObjectSchema } from './AppointmentCreateNestedOneWithoutFilesInput.schema'

const makeSchema = () => z.object({
  filename: z.string(),
  mimeType: z.string().optional().nullable(),
  filePath: z.string().optional().nullable(),
  appointment: z.lazy(() => AppointmentCreateNestedOneWithoutFilesInputObjectSchema)
}).strict();
export const AppointmentFileCreateInputObjectSchema: z.ZodType<Prisma.AppointmentFileCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileCreateInput>;
export const AppointmentFileCreateInputObjectZodSchema = makeSchema();
